Package org.eclipse.cdt.core.dom.ast

# Interface IASTFunctionStyleMacroParameter

All Superinterfaces:
  `IASTNode`

public interface IASTFunctionStyleMacroParameter extends IASTNode
This interface represents the name of a function style macro parameter. This is not an IASTName, as there are not any bindings for

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IASTFunctionStyleMacroParameter[]`
`EMPTY_PARAMETER_ARRAY`
Constant `EMPTY_PARAMETER_ARRAY` is used to return anempty array.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`String`
`getParameter()`
Get the parameter name.
`void`
`setParameter(String value)`
Set the parameter name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### EMPTY_PARAMETER_ARRAY

static final IASTFunctionStyleMacroParameter[] EMPTY_PARAMETER_ARRAY
Constant `EMPTY_PARAMETER_ARRAY` is used to return anempty array.

## Method Details

### getParameter

String getParameter()
Get the parameter name.

Returns:
  String name

### setParameter

void setParameter(String value)
Set the parameter name.

Parameters:
  `value` - String